collapse

* Posts Recentes

é preciso ter cuidado com ESD? por edeweld
[Ontem às 23:44]


Potênciometro 4.7 ou 5 KOhm com switch por brunus
[Ontem às 19:35]


Bibliotecas para arduino e drivers de stepper - o problema da 'distracção' por SerraCabo
[Ontem às 02:12]


Zener BZW04-105? por brunus
[11 de Dezembro de 2018, 17:34]


Artigo 11, 13 e os restantes por jm_araujo
[10 de Dezembro de 2018, 11:05]


Compra Colectiva Mouser N3-2018 (limite 25 Nov) por Hugu
[10 de Dezembro de 2018, 01:07]


Ajuda para reparar Luzes de LED de Natal por brunus
[09 de Dezembro de 2018, 00:59]


Como reproteger as pontas de cobre do ferros de soldar? por brunus
[09 de Dezembro de 2018, 00:12]


Usar steppers de 5 pontas como se fossem de 4 pontas por SerraCabo
[08 de Dezembro de 2018, 21:18]


LusoRobótica - Website - Estado actual por Tech_JA
[06 de Dezembro de 2018, 09:18]

Autor Tópico: Erro Java - "RXTX Version mismatch"  (Lida 2164 vezes)

0 Membros e 1 Visitante estão a ver este tópico.

Offline kerwac

  • Mini Robot
  • *
  • Mensagens: 101
Erro Java - "RXTX Version mismatch"
« em: 28 de Setembro de 2014, 21:09 »
WARNING:  RXTX Version mismatch
   Jar version = RXTX-2.2pre1
   native lib Version = RXTX-2.2pre2

Sistema windows 7 64bits
java8..

Alguém sabe como resolver ou já lhe aconteceu?

Obrigado
Podemos não voltar.Mas vamos a todas.

Offline ralex

  • Mini Robot
  • *
  • Mensagens: 75
Re: WARNING
« Responder #1 em: 29 de Setembro de 2014, 00:57 »
Boa noite a todos. Uma consulta aponta para este link http://forum.processing.org/one/topic/warning-rxtx-version-mismatch.html

Verifica se resolve o problema.
Cumps.

Offline kerwac

  • Mini Robot
  • *
  • Mensagens: 101
Re: WARNING
« Responder #2 em: 29 de Setembro de 2014, 10:22 »
Bom dia ralax.
Nao resolve. O erro continua.
Posso te enviar o código se estiveres na disposição de testar.
Obrigado
Podemos não voltar.Mas vamos a todas.

Offline senso

  • Global Moderator
  • Mini Robot
  • *****
  • Mensagens: 9.585
  • Helpdesk do sitio
Re: WARNING
« Responder #3 em: 29 de Setembro de 2014, 11:02 »
Simples, fazes update a uma delas, ou downgrade á outra.
De certeza que isto:
Citar
you need to go into the arduino source package and copy that rxtx jar file and the native library for it based on your system platform into the processing built in serial library

Não funciona? duvido um bocadinho..
Avr fanboy

Offline kerwac

  • Mini Robot
  • *
  • Mensagens: 101
Re: WARNING
« Responder #4 em: 29 de Setembro de 2014, 11:05 »
Senso.... posso enviar o código e testas....
desta forma ate podias entrar no meu pc e ver onde estou a errar...
claro se tiveres essa disponibilidade.
Podemos não voltar.Mas vamos a todas.

Offline senso

  • Global Moderator
  • Mini Robot
  • *****
  • Mensagens: 9.585
  • Helpdesk do sitio
Re: WARNING
« Responder #5 em: 29 de Setembro de 2014, 11:18 »
Isso é um warning de versões de bibliotecas!
Não uso Java em lado nenhum, nem Processing, nem IDE do Arduino, não tenho nada relacionado com java para testar código nenhum, até porque isso não é um warning de compilação..
Avr fanboy

Offline metRo_

  • Administrator
  • Mini Robot
  • *****
  • Mensagens: 3.749
Re: Erro Java - "RXTX Version mismatch"
« Responder #6 em: 29 de Setembro de 2014, 11:33 »
É assim tão dificil saber definir o assunto do tópico?

Offline kerwac

  • Mini Robot
  • *
  • Mensagens: 101
Re: Erro Java - "RXTX Version mismatch"
« Responder #7 em: 29 de Setembro de 2014, 13:10 »
O problema não está no tópico nem em perceber qual é o erro. O problema está em resolver o problema com a livraria certa e adequada. Pois das várias livrarias nenhuma resolve o problema......
Dai não me importar de dar o código para testarem....
Podemos não voltar.Mas vamos a todas.

Offline jm_araujo

  • Mini Robot
  • *
  • Mensagens: 2.436
  • NERD!
Re: Erro Java - "RXTX Version mismatch"
« Responder #8 em: 29 de Setembro de 2014, 14:07 »
"Library" traduz-se por "biblioteca" e não "livraria" ;)

Acho que ainda não entendeste que o problema não tem que ver com o código, mas com o facto de estar a ser compilado com uma biblioteca diferente da do Java do sistema.
Se deres o código a alguém com a toolchain de compilação correta vai compilar e correr sem dar erro nenhum, e sem mudar uma linha de código!



Offline metRo_

  • Administrator
  • Mini Robot
  • *****
  • Mensagens: 3.749
Re: Erro Java - "RXTX Version mismatch"
« Responder #9 em: 29 de Setembro de 2014, 14:12 »
O problema não está no tópico nem em perceber qual é o erro. O problema está em resolver o problema com a livraria certa e adequada. Pois das várias livrarias nenhuma resolve o problema......
Dai não me importar de dar o código para testarem....
Visto ter dado o nome warning ao assunto do tópico então existe um problema com o mesmo e espero que nos teus próximos tópicos tenhas mais cuidado com isso!